FASTFETCH(1)

NAME
fastfetch - a neofetch-like tool for fetching system information and displaying them in a pretty way

SYNOPSIS
fastfetch [options...]

DESCRIPTION
Fastfetch is a neofetch-like tool for fetching system information and displaying them in a pretty way. It is written mainly in C, with performance and customizability in mind. Currently, Linux, Android, FreeBSD, MacOS and Windows 7+ are supported.

EXIT STATUS
On successful execution, fastfetch returns zero. If any error happened, the exit code will be non-zero.

OPTIONS

  Informative Options

-h, --help [command]
    Show help output, displaying all available options or help for given command

-v, --version
    Show version of fastfetch

--list-config-paths
    List search paths of config files

--list-data-paths
    List search paths of presets and logos

--list-logos
    List available logos, they can be loaded with --logo

--list-modules
    List available modules

--list-presets
    List available presets, they can be loaded with --config

--list-features
    List the supported features fastfetch was compiled with

--print-logos
    Print available logos

--print-structure
    Print the default structure

--format <type>
    Set the output format. Besides the default format, only json is supported currently.

  Display Options

-l, --logo <logo>
    Set the logo to display

-s, --structure <structure>
    Set the structure of the fetch. For details about the structure, see the CONFIGURATION section.

  Config Options

-c, --config <config>
    Use the specified config file or preset. If none is specified, disable further config loading. For details about config files, see the CONFIGURATION section

--gen-config [file]
    Generate a config file with options specified on the command line. If file is specified, the configuration will be written to the file, otherwise it will be written to stdout.

--gen-config-force [file]
    Same as --gen-config, but overwrites existing config

To list all options, use --help. It will also print all available module options.

CONFIGURATION

  Fetch Structure
The structure of a fetch describes the modules that should be included in the output. It consists of a string of modules, separated by a colon (:). To list all available modules, use --list-modules

  Config Files
Fastfetch uses JSONC based format for configuration. Fastfetch doesn't generate config file automatically; it should be generated manually by --gen-config. The config file will be saved in ~/.config/fastfetch/config.jsonc by default. A JSONC config file is a JSON file that also supports comments with (// and /* */). Those files must have the extension '.jsonc'. The specified configuration/preset files are searched in the following order: 1. relative to the current working directory 2. relative to ~/.local/share/fastfetch/presets/ 3. relative to /usr/share/fastfetch/presets/ Fastfetch provides some default presets. List them with --list-presets.

SEE ALSO
neofetch(1)

BUGS
Please report bugs to: https://github.com/fastfetch-cli/fastfetch/issues